#include <SDL2/SDL.h>
#include <SDL2/SDL_mixer.h>

void sdlperror(const char* header) {
	const char* error = SDL_GetError();
	printf("%s: %s\n",header,error);
}

void quit(int exit_code) {
	SDL_Quit();
	exit(exit_code);
}

int main() {
	if (SDL_Init(SDL_INIT_AUDIO) != 0) {
		sdlperror("SDL_Init");
		quit(1);
	}

	if (Mix_OpenAudio(44100, AUDIO_S16SYS, 2, 1024) != 0) {
		sdlperror("Mix_OpenAudio");
		quit(1);
	}

	Mix_AllocateChannels(1);

	Mix_Chunk *chunk = Mix_LoadWAV("test.wav");
	if (chunk == NULL) {
		sdlperror("Mix_LoadWAV");
		quit(1);
	}

	if (Mix_PlayChannel(0, chunk, 0) == -1) {
		sdlperror("Mix_PlayChannel");
		quit(1);
	}

	SDL_Delay(1000); // Wait until the sound finishes.

	quit(0);
}

